# Generated by go2rpm
%bcond_without check

# https://github.com/sourcegraph/appdash
%global goipath         sourcegraph.com/sourcegraph/appdash
%global forgeurl        https://github.com/sourcegraph/appdash
%global commit          d9ea5c54f7dc06dbdbbf854ec35176e520e6dfdf

%gometa

%global common_description %{expand:
Appdash is an application tracing system for Go, based on Google's Dapper and
Twitter's Zipkin.

Appdash allows you to trace the end-to-end handling of requests and operations
in your application (for perf and debugging). It displays timings and
application-specific metadata for each step, and it displays a tree and timeline
for each request and its children.

To use appdash, you must instrument your application with calls to an appdash
recorder. You can record any type of event or operation. Recorders and schemas
for HTTP (client and server) and SQL are provided, and you can write your own.}

%global golicenses      LICENSE
%global godocs          examples CHANGELOG.md README.md demo-annotations.md\\\
                        other-languages.md

Name:           %{goname}
Version:        0
Release:        0.4%{?dist}
Summary:        Application tracing system for Go, based on Google's Dapper

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
# Use bigger keys for RSA-PSS default for TLS 1.3
Patch0:         0001-Use-bigger-keys-for-RSA-PSS-default-for-TLS-1.3.patch

BuildRequires:  golang(github.com/gogo/protobuf/io)
BuildRequires:  golang(github.com/gogo/protobuf/proto)
BuildRequires:  golang(github.com/gorilla/mux)
BuildRequires:  golang(github.com/jessevdk/go-flags)
BuildRequires:  golang(github.com/opentracing/basictracer-go)
BuildRequires:  golang(github.com/opentracing/opentracing-go)
BuildRequires:  golang(github.com/opentracing/opentracing-go/log)
BuildRequires:  golang(github.com/urfave/negroni)
BuildRequires:  golang(sourcegraph.com/sourcegraph/appdash-data)

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# httptrace: needs network
%gocheck -d httptrace
%endif

%files
%license LICENSE
%doc examples CHANGELOG.md README.md demo-annotations.md other-languages.md
%{_bindir}/*

%gopkgfiles

%changelog
* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed May 15 01:18:41 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190701gitd9ea5c5
- Initial package
